import { MigrationInterface, QueryRunner } from "typeorm";

export class data1669251793386 implements MigrationInterface {
    name = 'data1669251793386'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`
            CREATE TABLE "badword" (
                "id" uuid NOT NULL DEFAULT uuid_generate_v4(),
                "guildID" character varying,
                "value" character varying NOT NULL,
                CONSTRAINT "PK_b5034b5fcec4ccac0c288e37f3a" PRIMARY KEY ("id")
            )
        `);
        await queryRunner.query(`
            CREATE TABLE "guild_setting" (
                "id" character varying NOT NULL,
                "notificationChannelID" character varying,
                "isPremiumUntil" date,
                CONSTRAINT "PK_56f0d706a92e999b4e967abae5f" PRIMARY KEY ("id")
            )
        `);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`
            DROP TABLE "guild_setting"
        `);
        await queryRunner.query(`
            DROP TABLE "badword"
        `);
    }

}
