import { MigrationInterface, QueryRunner } from "typeorm";

export class data1669300160536 implements MigrationInterface {
    name = 'data1669300160536'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`
            ALTER TABLE "guild_setting" DROP COLUMN "isPremiumUntil"
        `);
        await queryRunner.query(`
            ALTER TABLE "guild_setting"
            ADD "isPremiumUntil" TIMESTAMP
        `);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`
            ALTER TABLE "guild_setting" DROP COLUMN "isPremiumUntil"
        `);
        await queryRunner.query(`
            ALTER TABLE "guild_setting"
            ADD "isPremiumUntil" date
        `);
    }

}
